#!/usr/bin/perl

my $total = 0; # In seconds
my $line_count = 0;

while ($line = <STDIN>) {
    # Need to skip line 1.
    $line_count++;
    next if $line_count == 1;
    
    # Get time (in HH:MM:SS form).
    @info = split(/\s+/, $line);
    my $time = $info[6];
    
    # Convert time to seconds and add to total.
    ($hours, $mins, $secs) = split(/:/, $time);
    $total += $secs + 
              $mins * 60 +
              $hours * 3600;
}

print "Total time: $total seconds\n";
