#!/usr/bin/perl

# Build count of words from input file.
open $fh, "< example.txt";
%wordcounts = ();
while ($line = <$fh>) {
    # Get words in the line.
    chomp $line;
    @words = split(/[^\w'\-]+/, $line);
    
    # Increment counters for words.
    foreach $word (@words) {
        $wordcounts{lc($word)}++;
    }
}
close $fh;

# Write counts to a file.
open $fh, "> results.txt";
foreach $w (sort keys %wordcounts) {
    print $fh "$w\t$wordcounts{$w}\n";
}
close $fh;
