#!/usr/bin/perl

use MP3::Tag;

# Count songs by each artist.
%artists = ();
while ($filename = <STDIN>) {
    chomp $filename;
    $mp3 = MP3::Tag->new($filename);
    @info = $mp3->autoinfo();
    $artists{$info[2]}++;
}

# Output, sorted by artist's count.
@sorted = sort { $artists{$a} <=> $artists{$b} } keys %artists;
foreach $artist (@sorted) {
    print "$artists{$artist}\t$artist\n";
}
